Web Introduction

Previous Next

Web Introduction
Web Introduction
Oracle Imaging and Process Management Web provides a robust set of features. The Web Server must be configured to use Oracle I/PM Web.
This help file includes information about Web Express, which is a stream lined version of the Web. This version of the Web includes basic searching and viewing of documents and basic Process Management functionality. It is installed, by default, as a component of the web install.
Information is also included about adding a menu item to a Web client which will point to an external web site.


Web Server

Web Introduction : Web Server
Web Server
The Oracle I/PM Web Server is required to support an internet interface to Oracle Imaging and Process Management.
No other Oracle I/PM Services may be run on the Web Server machine. The Web Server must be configured in the same domain as the Primary Request Broker.
The machine running the Web Server also runs Microsoft Internet Information Services (IIS).
The Web Server is not configured through the General Services Configuration tool (GenCfg). See the Installation documentation for information about how to install and configure Web Server.


Web Express

Web Introduction : Web Express
Web Express
Web Express is a streamlined version of Oracle Imaging and Process Management (Oracle I/PM) Web that provides basic functionality for running searches, viewing documents and working with Process Management. Web Express is installed as part of the full web install. It is great for users that do not require the full document imaging feature set found in Oracle I/PM Web.
Installation and Setup
Web Express installs as a component of the full web client. After running the install you will be able to access Web Express using the URL: http:/MyServer/IBPMExpress
Install Notes
•
Exporting documents as PDF requires that Distiller is installed on the back end Export Servers.
•
Web Express is configured to use Web View or Full Seat licenses. The user cannot choose the license type on login.
•
Web Express uses the Oracle Web Support Server as a gateway to the IBPM Servers.
Using Web Express
Web Express provides a rich AJAX driven UI. This environment enhances the user experience and can reduce bandwidth loading between the Browser client and the IIS server. Many features found in the full web client considered to be core I/PM functionality have been implemented in the IBPM Express client. This means that some of the peripheral features will not be found in IBPM Express. You will need to evaluate IBPM Express to determine if its feature set is sufficient for your use case.
Login
The Login tool prompts the user for their Oracle I/PM Login and Password. After values for these fields have been provided, click on Login or press the Enter key. If a valid login and password combination was supplied, the user will be logged into IBPM Express.
When logging in as a Web Administrator (Configured in the I/PM Desktop client Security Tool) you will be provided with an Administration Tool. Using that tool you can configure the use of a Full Seat license or a Web View license during user login. The user is not able to select the type at the time of login.
Whenever a user clicks the Logout menu option or the user’s Session times out, the user will be returned to the Login tool with a message indicating that they must login again.
URL Login
Web Express supports the use of the URL toolkit. This includes placing an AIID obtained from the Web Services on the URL. This will cause the Web Express to attempt a reactivation of the I/PM session rather than prompting the user for a password. Web Express does not support placing username
Example URL:
http://myServer/IBPMExpress/default.aspx?ToolName=AWSER&SearchName=MySearch&xmlAIID=<AIID>...</AIID>
Windows Integrated Security and Oracle Access Manager
Web express now supports the use of IBPMWebWIS to provide silent logins. See the install documentation for IBPMWebWIS for instructions on how this can be configured. The use of Windows Integrated Security (WIS) is supported as well as Oracle Access Manager (OAM). The use of these systems can provide the user with silent login access to the IBPM Express Web Client.


Web Express Search Results

Web Introduction : Web Express : Web Express Search Results
Web Express Search Results
The Web Express user is provided access to Oracle I/PM search results through the Search Results tool. This tool provides many operations that can be applied to individual rows in the search results. Some general Process operations are also available from the Search Results (i.e. add document to package).
The Web Express Search Results tool provides access to lists of packages that are found using the Searches tool. To generate the search results you must first use the Searches tool to create a search definition. Executing that search opens the Search Results. Operations can be performed on the search results directly in the list or a document may be opened for viewing. This topic summarizes the available functionality in the Search Results.
General Oracle I/PM operations are not available from the Web Express Search Results.
Features available in this tool may be categorized as Multi Row Operations, Single Document Operations and Navigation and General Inbox Operations.
Multi Row Operations
Viewing one or more documents
There are two ways to view documents from the Search Results.
•
Select one or more rows using the check box at the front of each row. After selecting the documents to view, click the View menu item. This opens the Document Viewer with the selected documents. Each document will have a separate tab in the viewer.
•
Click the quick link number at the front of each row. This opens that single document in the Document Viewer.
Print to Local Printer
One or more documents may be printed to a printer on your local machine. Select the documents to print using the check box at the front of each row. After selecting the documents to print, click the Print To… > Local Printer menu item. A dialog will open allowing the printer to be selected. After clicking Ok on the dialog, the documents will begin spooling to the printer.
To select a single document to be sent to the local printer, click on the document type icon to open the context menu. From there select the Print To… > Local Printer submenu. This will open the print dialog.
Print to Print Server
One or more documents may be directed to an Oracle I/PM print server to be printed. Select the documents to print using the check box at the front of each row. After selecting the documents to print, click the Print To… > Print Server menu item. A dialog opens allowing selection of the print server, a cover page (if available), a copy count and an option to print annotations. After clicking Ok on the dialog, the documents will begin spooling to the printer server.
To select a single document to be sent to the Oracle I/PM print server, click on the document type icon to open the context menu. From there select the Print To… > Print Server submenu. This will open the print dialog.
Print to Print Friendly
A summary of one or more items from the search results may be printed by using the Print Friendly feature. To accomplish this, select the documents to include in the summary using the check box at the front of each row. After selecting the documents to print, click the Print To… > Print Friendly menu item. A simple HTML summary of the items selected will be loaded in the browser. The summary may be printed using the browser print menu item.
To select a single document to be sent to the summary, click on the document type icon to open the context menu. From there select the Print To… > Print Friendly submenu. This will open the HTML summary.
Send to Process
One or more items may be sent to Process using the Send to Process feature. This allows the creation of a new package with the selected items attached. A package in your inbox may be selected and items attached. To accomplish this, select the documents to send to process using the check box at the front of each row. After selecting the documents to send to process, click the Send To… > Send To Process menu item. A dialog will open allowing selection of a template for the package or selection of a package from your inbox.
If BPM is not installed or you do not have access to a process a message will appear. If you have access to a process but can not add attachments or can not create a package, a message will appear.
To create a new package, select the template to create and click Ok. This creates the package, attach the documents and load the package viewer with that package displayed.
To attach the documents to a package in your inbox, select the option to choose a package from the inbox and Click Ok. A secondary dialog will prompt for the package to which the item is to be attached. The items are attached to the package and the package is displayed.
To select a single document to be sent to process, click on the document type icon to open the context menu. From there select the Send To… > Send To Process submenu. This will open the dialogs; proceed as you would when using the menu.
Send to Excel
One or more items may be sent to Excel using the Send to Excel feature. This creates an Excel workbook containing summary information about the selected items. After selecting the documents to sent to excel, click the Send To… > Send To Excel menu item. A file download dialog will open allowing the Excel workbook to be opened or saved.
To select a single document to be sent to excel, click on the document type icon to open the context menu. From there select the Send To… > Send To Excel submenu. This will open the file download dialog; proceed as when using the menu.
Send to E-Mail Recipient
One or more items may be sent to an E-Mail Recipient by using the Send to E-Mail Recipient feature. Send an e-mail to someone through the Oracle I/PM E-Mail server. After selecting the documents to send, click the Send To… > Send to E-Mail Recipient menu item. A dialog will open for entry of the To, From, Subject and Message content.
If the user does not have sufficient rights to e-mail a document or there is no e-mail server setup a message will display.
After filling out the e-mail form, click the Ok button to send the e-mail. After the document has been e-mailed a message will display.
Single Document Operations
There are several single document operations available when clicking on the document type icon. This menu is called the context menu. In addition to being able to perform the applicable operations found in the main toolbar, additional operations may be defined by the document type.
Navigation and General Inbox Operations
Refreshing the content of the Search Results
Because the web is a disconnected environment the content of the Search Results may become stale due changes made by other users or backend processes. Refresh the view of Search Results by clicking on the refresh icon in the upper right corner of the inbox view. This will re-execute the search to provide a refreshed view of the Search Results.
When the content of the Search Results is refreshed, the current page will be reset to page one.
Page navigation
If there is more than one page of items in the list, navigate the pages of packages by using the page navigation icons in the upper right corner of the inbox. The following navigation controls are available.
•
First Page
•
Previous Page
•
Next Page
•
Last Page
In addition to the paging icons a list of page numbers is provided that allow jumping to a particular page.
NOTE
On long queries the page count continues to grow. This will occur until the search has completed or the search results length reaches the maximum row counts for a search as specified by your administrator.


Web Express Process Profile Search Results

Web Introduction : Web Express : Web Express Process Profile Search Results
Web Express Process Profile Search Results
The Web Express user is provided access to Process Profile Results through the Worklist Tool. This tool provides many operations that can be applied to the packages in the Worklist while viewing the package Worklist. Some general Process operations are available from the Worklist (i.e. define a new process profile).
The Web Express Worklist tool provides access to lists of packages that are found using the Package Search tool. To generate the list of packages use the Package Search tool to generate a Profile definition. Executing that profile opens the Worklist. Operations can be performed on these packages directly in the list or a user can open a package for viewing.
This topic describes the available functionality in the Worklist. The features may be categorized as General Process Operations, Multi Package Operations, Single Package Operations and Navigation and General Inbox Operations.
General Process Operations
New Profile
This menu item simply navigates the working area to the Process Profiles tool. The process profiles tool allows the use to define a new package profile and execute it. This will return the user to the Worklist tool which will display the results from the package search.
Multi Package Operations
Viewing one or more packages
There are two ways to view packages from the Worklist.
•
Select one or more packages using the check box at the front of each row. After selecting the packages to view click the View menu item. This will open the Package Bar with the selected packages.
•
Click the quick link number at the front of each package row. This will open the Package Bar with that single package.
Locking one or more packages
One or more packages may be locked by selecting the packages to be locked using the check box at the front of each row. After selecting the packages to lock, click the Lock menu item.
A message will display indicating how many packages were locked. If there are problems locking individual packages a message will display about each package that could not be locked.
A single package may be locked by clicking on the package type icon to drop down the context menu and selecting lock. The lock option will only be available on package types that you could possibly lock (i.e. unlocked packages but not locked or new packages).
Unlocking one or more packages
One or more packages may be unlocked by selecting the packages to be unlocked using the check box at the front of each row. After selecting the packages to unlock click the Unlock menu item.
A message will display indicating how many packages were unlocked. If there are problems unlocking individual packages a message will display about each package that could not be unlocked.
A single package may be unlocked by clicking on the package type icon to drop down the context menu and selecting unlock. The unlock option will only be available on package types that could be unlocked (i.e. locked packages but not new package).
Deleting one or more package
There are two ways to delete packages from the Worklist.
•
Select one or more packages using the check box at the front of each row. After selecting the packages to delete, click the Delete menu item. This will delete all the selected packages and a message will display when the operation is complete.
•
Click package type icon. This will drop down an action menu. Select the Delete option in the action menu. This will delete the selected package and a message will display when the operation is complete.
If a package could not be deleted for some reason a message will display that the delete could not be accomplished.
Send To Excel
This operation allows selected packages to be sent to an excel workbook. Select one or more packages and then select the Send To > Send To Excel menu item. This action will convert the selected items to an excel workbook and a download/open dialog will open.
Open the excel workbook directly from this dialog or save it to a directory.
Single Package Operations
There are several single package operations available when clicking on the package type icon. This menu is called the context menu. In addition to being able to perform the applicable operations found in the main toolbar there may be additional operations defined by the package type.
Here are some examples that illustrate what action will be included in the context menu; an unlocked package will have the same unlock menu item found in the main menu on its context menu. However, a package that is not locked will not have the unlock context menu item; rather, it will have the lock context menu item.
Single package operations that are not in the main menu are presented below a separator in the context menu. This is a visual indicator as to what operations could be used against multiple packages versus single packages.
Complete
The Complete operation is available for locked packages only. Select the Complete menu item. If the package has no decision choices and the user has rights to complete a package, the package will be completed and a message will display when the completion is processed. If the user has rights to complete a package and the package has decision events, this action will open a dialog listing all the available decision events for the package. If the user does not have rights to complete the package a message will display.
If the decision choice dialog opens, select the decision event to use in completing the package and click the Ok button to complete the package. After the package has been completed a message will display.
Route to User
The Route To User operation is available for new and locked packages. Select the Route To…> sub menu and then the Route To User menu item. If the user has rights to route to a user, this action will open a dialog listing all the Process users available to route the package to. If the user does not have rights to route the package to a user a message will display.
Select the user to route the package to and click the Ok button to complete the action.
Route to Event
The Route to Event operation is available for locked packages only. Select the Route To…> sub menu and then the Route To Event menu item. If the user has rights to route to an event this action will open a dialog listing all the Process events available to route the package to. If the user does not have rights to route the package to an event a message will display.
Select the event to route the package to and click the Ok button to complete the action.
Navigation and General Inbox Operations
Refreshing the content of the Worklist
Because the web is a disconnected environment the content of the Worklist may become stale due to package movement in the BPM Servers. Refresh the Worklist view by clicking on the refresh icon in the upper right corner of the inbox view. This will re-execute the profile to provide a refreshed view of the package list.
When the content of the Worklist is refreshed, the current page will be reset to page 1.
Page navigation
If there are more than one page of items in the list, navigate the pages of packages by using the page navigation icons in the upper right corner of the inbox. The following navigation controls are available.
•
First Page
•
Previous Page
•
Next Page
•
Last Page
In addition to the paging icons a list of page numbers is provided that allow you to jump to a particular page.


Web Express Package Attachments

Web Introduction : Web Express : Web Express Package Attachments
Web Express Package Attachments
The Web Express user can add attachments to a package from both the Inbox and the Package Bar.
User Interface
Opening the Add Attachments Dialog
To add an attachment to a package, navigation to the user inbox or use the Package Bar to view the package. Both of these tools allow a user to add a package attachment.
From the Inbox, select the item to add the attachment to by selecting the checkbox on the row. Next select the Add > drop-down from the menu and select Add Attachment. If the user has rights to add attachments to the package the add attachment dialog will open.
From the Package Bar Tool, select the Add > drop-down from the menu and select Add Attachment. If the user has rights to add attachments to the package the add attachment dialog will open.
Using the Add Attachments Dialog
When the Add Attachments dialog opens with a single file upload prompt will appear. Select Browse… to open a file open dialog. After selecting the file to attach, another file may be added by clicking on the + button. This action will add a new file upload prompt which can be used to select another file for attachment.
After selecting the files to add as attachments click the Ok button. The files will be uploaded and attached to the package selected in the Inbox or the package currently viewed in the Package Bar.
Configuration/Customization
Security Admin – The user must have rights to add attachments to the package. If the user does not have rights the web application will display a message that the user does not have rights to add attachments when the menu is selected.
For this feature to work the common file store must e configured for process broker.
Common Error Messages
A notification that indicates the user does not have rights to add an attachment will display if the user can not add attachments to the package.
An error indicating a failure to connect to the common file store will display if common file store is not properly configured.


Web Express Package Viewer Navigation Modes

Web Introduction : Web Express : Web Express Package Viewer Navigation Modes
Web Express Package Viewer Navigation Modes
The Package Viewer tool in the Web Express client has three modes of navigating through packages. These navigation modes are: multi package mode from list selections, multi package mode from profile execution, and single package mode. This document explains how the navigation controls at the top of the page display and function in these three modes.
Multi Package Mode from List Selections
The user enters the Package Viewer in this mode from the Worklist after selecting multiple packages and clicking the View toolbar button.
In this mode, all of the standard navigation controls are visible: the first button, previous button, next button, last button, and the page-indexed selections drop-down control. Clicking these various controls will allow the user to freely navigate between the packages selected.
Multi Package Mode from Profile
The user enters this mode after executing a Profile, as from the Process Profiles tool on the web. This is a mode used for working packages in order from a profile.
In this mode, only the next button is visible. It will allow the user to skip working the current package and get the next item found for that profile. The skip behavior will also be initiated when the user completes the current package.
Single Package Mode
This mode is initiated when the user selects to view a single package, as from clicking the folder index viewing link of an item in the Worklist.
In this mode, no navigation controls are visible. The user may return to the Worklist or another tool to view other packages.


Web Express Process Inbox

Web Introduction : Web Express : Web Express Process Inbox
Web Express Process Inbox
The Web Express user is provided access to their Process Inbox. This tool provides many operations that can be applied to the packages in the inbox while viewing the package inbox. There are also general Process operations that are available from the inbox (i.e. creating a new package).
The Web Express Inbox tool provides access to lists of packages that are in the users Process Inbox. Operations can be performed on these packages directly in the list or a user can open a package for viewing. The following descriptions summarize the available functionality in the Inbox.
* General Process Operations
Creating a new package
If the user has rights to create new packages the user can select the menu item Create Package to display a list of available package templates.
After the Create Package dialog is open, select a template name to use to create the package and click Ok to create the package.
* Multi Package Operations
Viewing One or More Packages
There are two ways to view packages from the Inbox.
•
Select one or more packages using the check box at the front of each row. After selecting the packages to view, click the View menu item. This opens the Package Bar with the selected packages.
•
Click the quick link number at the front of each package row. This opens the Package Bar with that single package.
Unlocking one or more package
There are two ways to unlock packages from the Inbox.
•
Select one or more packages using the check box at the front of each row. After selecting the packages to view, click the Unlock menu item. This will unlock all the selected packages and display a message when the operation is complete.
•
Click package icon at the front of the package row. This will drop-down an action menu. Select the Unlock option in the action menu. This will unlock the selected package and display a message when the operation is complete.
If any of the packages could not be unlocked for any reason, a message will display that the operation could not be accomplished.
Deleting one or more package
There are two ways to delete packages from the Inbox.
•
Select one or more packages using the check box at the front of each row. After selecting the packages to view click the Delete menu item. This will delete all the selected packages and display a message when the operation is complete.
•
Click package icon at the front of the package row. This will drop-down an action menu. Select the Delete option in the action menu. This will delete the selected package and display a message when the operation is complete.
If a package could not be deleted for some reason a message will display that the delete could not be accomplished.
Send To Excel
The Sent To Excel operation sends the selected packages to an excel workbook. Select one or more packages and then select the Send To > Send To Excel menu item. This action will convert the selected items to an excel workbook and a download/open dialog will open.
Open the excel workbook directly from this dialog or save it to a directory.
Single Package Operations:
There are several single package operations available when clicking on the package type icon. This menu is called the context menu. In addition to being able to perform the applicable operations found in the main toolbar additional operations may be defined by the package type.
Here are some examples that illustrate what action will be included in the context menu. A new package will have the same place in flow found in the main menu on its context menu. However, a package that is in flow will not have the place in flow context menu item. Single package operations found in the context menu will also be defined by the package type. As an example, a package in flow will have the route to event context menu item while a new package will not, due to the fact that it is not in a process.
Single package operations that are not in the main menu are presented below a separator in the context menu. This is a visual indicator as to what operations could be used against multiple packages versus single packages.
Route to User
This operation is available for new and locked packages. Select the Route To…> sub menu and then the Route To User menu item. If the user has rights to route to a user this action will open a dialog listing all the Process users available to route the package to. If the user does not have rights to route the package to a user a message will be displayed.
Select the user to route the package to and click the Ok button to complete the action.
Route to Event
This operation is available for locked packages only. Select the Route To…> sub menu and then the Route To Event menu item. If the user has rights to route to an event this action will open a dialog listing all the Process events available to route the package to. If the user does not have rights to route the package to an event a message will display.
Select the event to route the package to and click the Ok button to complete the action.
Navigation and General Inbox Operations:
Refreshing the content of the Inbox
Because the web is a disconnected environment the content of the inbox may become stale due to package movement in the BPM Servers. The view of your inbox may be refreshed by clicking on the refresh icon in the upper right corner of the inbox view.
When the content of the Inbox is refreshed, your current page will be reset to page 1.
Page navigation
If there is more than one page of items in the list, navigate the pages of packages by using the page navigation icons in the upper right corner of the inbox. The following navigation controls are provided.
•
First Page
•
Previous Page
•
Next Page
•
Last Page
In addition to the paging icons, a list of page numbers is provided that allows the user to jump to a particular page.


Web Express Plug-in Integration

Web Introduction : Web Express : Web Express Plug-in Integration
Web Express Plug-in Integration
The IBPMViewerPlugin provides the user with the ability to view and annotate documents in the Web Express client. The interface and functionality are similar to the Windows client Viewer tool. The plugin component is a control that can be hosted in pages displayed by Microsoft Internet Explorer.
The IBPMViewerPlugin control contains the same Viewer control that is hosted in the production client Viewer tool. The standard communication mechanism is replaced with an HTTP relay mechanism to provide the same operation and experience for the end user.
* Installation & Configuration
If the necessary components are found to be missing on the local machine, after a view request has been made, a download prompt will be presented to the end user. When the download is requested, a setup program is deployed to the user’s system and the necessary files are deployed.
The user can also go to the Options page to install the plug-in viewer.
Execution of this utility requires administrative level permission on the target system.


Web Express Image Viewer

Web Introduction : Web Express : Web Express Image Viewer
Web Express Image Viewer
JPEG Compressed Group 6 TIFF
When Oracle I/PM includes filed JPEG compressed TIFFs (Group 6 TIFFs), the default configuration of Web Support Server must be modified to use the LEADTools viewer implementation.
To configure WSS to use LEADTools run the following configuration tool on the Web Support Server machine (normally the IIS machine):
C:\Program Files\Stellent\WSS\WSSConfigEditor.exe
On the Settings tab right click and edit the Application Setting:
WebSupportServer.DefaultUserSetting.DocumentViewer.DocExporterUseLeadTools
Set the value of this to true. Close the configuration editor. This will save the setting and restart the Web Support Server. After logging in to Web Express, the JPEG compressed TIFF images will be available for viewing.
Page Jump Tab Menu
The Image Viewer tool accumulates information about visited paged of a document. This information is placed in a menu on the image tab. As the user navigates through pages or sections, they are added to this drop-down menu. This allows easy navigation between non-sequential pages.
This is what the document tab looked like when it is first loaded.
Notice in the above image that there is no menu initially. After the user jumps to the next section or page of the document, a menu arrow appears. This is what the menu looks like.
Another item is added after another page jump. This is what the menu looks like after the additional jump.
Zoom to Selection
The Zoom to Selection feature is accessed through the Zoom drop-down menu. Select this option and an area of the image. As soon as the selection is completed, the selected area will zoom,
•
Open the image with the area to be zoomed.
•
Select the Zoom to Selection option from the Zoom drop-down menu.
•
Move the cursor over the image and the cursor will change to a crosshair, indicating that the zoom feature is active.
•
Select a rectangular area of the image. Click and hold the mouse to select the area. Releasing the mouse will finalize the selection area.
•
The selected area will zoom to a best fit of the available window.
Switching Between Document View Formats
Users are able to switch between the various viewing modes for a document using the File->Options menu. Select "View as Image" to view the document as a native HTML image. The "View with Application Viewer" option will open the document in its native viewing application, i.e. Internet Explorer will show Word documents in a Word ActiveX control. The "View with Plugin Viewer" will open the document in Internet Explorer in the plugin viewer ActiveX control that allows for dynamic image manipulation such as rotation, zoom, and adding annotations. The "View as PDF" option will display the document as a PDF file. This is useful for those who need to open a document in a PDF compatibility mode.
Limitations
The Image Viewer in Oracle I/PM Web Express provides a high-quality view of TIFF images. These images can be sized and rotated. Annotations are rendered with the images according to the user’s security level.
Users viewing documents that contain Sticky Note annotations, however, will not be able to view the text content of those annotations. The annotated TIFF image will display the Sticky Note image on the rendered page, but extra pages containing their text content are not generated as in the case of an export operation.
Using the Oracle Viewer, or the full web product, to view this image will provide a full view of the Sticky Note annotations and their associated text content.


Web Express Custom Downloads

Web Introduction : Web Express : Web Express Custom Downloads
Web Express Custom Downloads
Web Express includes the ability to download utilities and browser plugins through the Options tool.
The Downloadable Browser Plugins and System Utilities section content is automatically generated based on two factors.
•
The presence of files in the web server’s Downloads folder, under the MembersOnly directory, triggers this feature. If files are found in this folder, they are automatically added to this section.
•
Custom display information placed in the DownloadWrapper.xml file in the same directory will also trigger this feature. This XML file is used to customize the display and presentation of items for download. The rest of this topic details how to make changes to this file.
DownloadWrapper.xml Customizations
The structure of this file is similar to this example.
<?xml version="1.0" encoding="utf-8" ?>
<Downloads>
<Download filename="setup.exe">
<Name>
IBPM Plugin Viewer
</Name>
<Icon>
../../Images/Installer.gif
</Icon>
<Description>
IBPM Plugin Viewer - Browser plugin allowing for manipulation of images through the web client.
</Description>
</Download>
</Downloads>
The Downloads root element can contain zero or more Download entries that specify how files that match their filename attribute are to be displayed.
Within the Download element, three optional sub-elements can be configured:
•
Name – This element specifies the human-readable name of the installer. It defaults to the file name if not found.
•
Icon – This element specifies the path to an image used for the download link, relative to the folder containing this configuration file. If not found, a text download link will be used instead that contains the Name found above.
•
Description – This element is used to give a description of the item, shown beside its download. If not found, this area will show the Name found above.


Web Express Administration

Web Introduction : Web Express : Web Express Administration
Web Express Administration
For increased performance, the Web Support Server (WSS) used in Web Express caches searches and some server settings.
If an administrator modifies any of the following items on the I/PM system, the WSS cache will need to be reset.
•
Saved searches
•
Picklists
•
Process Profiles
•
Process Forms
•
Enabling/Disabling WSS logging
To reset the Global WSS Cache perform the following steps.
1.
Login to Web Express client as user with Web Administrator rights.
2.
Select the Administrator node on the tree
3.
Click on the Reset Global WSS Cache button. This will force an update of cached data in WSS and make changes available to end users.


Imaging and Process Enabling External Applications

Web Introduction : Imaging and Process Enabling External Applications
Imaging and Process Enabling External Applications
These topics include information about the Software Development Kit components that ships with Oracle Imaging and Process Management.
See the SDK help file for information about SDK components. The SDK.CHM is the single entry point help file for the Software Develoment Kit help. Other SDK CHM files may be accessed directly and are linked dynamically when viewing the SDK.CHM.


Web Search and Retrieval SDK Components

Web Introduction : Imaging and Process Enabling External Applications : Web Search and Retrieval SDK Components
Web Search and Retrieval SDK Components
Search and Retrieval on the web focuses on providing access to the Oracle I/PM system to find and view objects in the Oracle I/PM System through the use of a browser user interface. This access is provided through a URL interface into the Web SDK Search and Retrieval component. This URL interface allows a user of the Web SDK to run searches and view documents.
The Web SDK Search and Retrieval component is implemented via the standard Web Client. To begin using the Web SDK Search and Retrieval component first ensure that the Oracle I/PM Services are installed and running. Next, install the Web Client. Because the Web SDK Search and Retrieval component is provided through the Web Client make sure a version of the client is installed that provides this functionality. The first version of the Web Client that provided Web SDK components is Acorde 2.3.1. If you are planning to use the Application Link feature of the Web SDK Search and Retrieval component install the web components of the ERP Integration Suite on the Web Client server.
There is a single tool in the Web SDK that provides the Search and Retrieval functionality. This is referred to as AWSER (A Web SDK - Search).
•
The AWSER tool provides access to Saved Searches by mapping Search String parameters on the URL to the fields in a Saved Search. This is the simplest method of accessing the Web SDK for Search and Retrieval. This method provides a hard-wired access to a single Saved Search in the system.
•
To provide dynamic access to the Oracle I/PM System by facilitating dynamic mappings to one or many Saved Searches and dynamic mappings to field values, use the AWSER toolkit component with Parameters specifying MapGroup or MapName. This will allow the use of LOB Link to transform named value pairs on the Search String to the Saved Search Parameters.
The Web SDK Search and Retrieval components are accessed through the use of URL parameters into the default.asp page on the Web Client web site. The SDK Search and Retrieval tool name must be specified on the URL as a parameter (i.e. &ToolName=AWSER) in addition to data for the tool.
For example, the following URL runs a Saved Search named MySearch with a parameter value for the Account field of "12345".
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&SearchName=MySearch&Account=12345&EOF=1
This runs the Saved Search using the Web server installed on MySite. Notice that the default.asp page at that site is specified. This ASP page must be specified to properly accept the URL parameters. The tool AWSER provides access to running a Saved Search directly. The tool is specified using the ToolName URL parameter (i.e. ToolName=AWSER). Notice also that the name of the Saved Search to be run must be specified (i.e. SearchName=MySearch). The parameter for the search is specified using the field name and its value as a URL parameter. If more than one field is desired, simply list the name/value pairs on the URL. Finally, an &EOF=1 parameter is required at the end of any URL specifying access to a toolkit item. This allows the Web SDK to check for truncated URLs (Max ASP URL length is 2083 characters) and notify the user of the problem.
The above URL will run the Saved Search and either present the user with the Search Results Tool or the Viewer Tool. If the search resulted in a single match, the result will be displayed to the user in the Viewer Tool. If the search resulted in multiple matches or hits, the results will be displayed to the user in the Search Results Tool. From the Search Results Tool the user will be able to view the matches. These are the same tools used by an Web Client. However, their menus have been altered through the use of the Web Client Menu Set feature.
The Menu Set feature is a Web Client feature allowing standard Web Client menus to be overridden by specifying a Menu Set parameter on the URL (i.e. &MnuSet=MyMenus). By creating new menu sets, access to Web Client features and tools can be restricted. The Web SDK Search and Retrieve entry point into the Web Client limits access to the Web Client through the use of its own Menu Set. It also enables hiding the banner. The menu set can be overridden through the use of a MnuSet parameter on the URL if needed (i.e. &MnuSet =MyMenuSet).
Defining a New Menu Set
One of the features in the Web Client that supports the Web SDK is the ability to define custom Web Client Menu Sets. The Menu Set feature allows standard Web Client menus to be overridden by specifying a Menu Set parameter on the URL (i.e. &MnuSet=MyMenus).
Access to Web Client features and tools can be restricted by creating new menu sets. The use of a particular menu set can be specified through the use of a MnuSet parameter on the URL if needed (i.e. &MnuSet =MyMenuSet).
The Web SDK Search and Retrieve entry point into the Web Client limits access to the Web Client through the use of its own Menu Sets. The following menu options are available when using the Search and Retrieval Web SDK:
Viewer Menu Items:
•
Next Document
•
Previous Document
•
View Query Results
•
Logout
Search Results Menu Items:
•
View Selected
•
Goto First Page
•
Goto Previous Page
•
Goto Next Page
•
Goto Last Page
•
Logout
When using Application Link the AWSER menu set is used. When using the standard Saved Search the AWDSER menu set is used. Add to the available features by taking one of the following actions:
1.
Add to the AWMSER or AWDSER menu sets.
2.
Specify the standard web client menu on the URL (i.e. &MnuSet =IBPMStandardWebClient).
3.
Define a custom menu set and specify it on the URL.
To add to the AWDSER or AWMSER menu sets copy commands from the Standard Web Client Menu Sets into the AWDSER or AWMSER menu set XML file. Menu set XML files are found in the following directory:
C:\InetPub\WWWRoot\OTInfrastructure\AcordeMXMLToolBars
Each subdirectory under the above directory specifies a menu set. The AWDSER or AWMSER menu sets only specify menus for a portion of the Web Client Tools. This is because the infrastructure will use the default menu set definitions for menus that are not defined in custom or Web SDK menu sets. The default menu set is defined in the AcordeStandardWebClient subdirectory.
Below is the Search Result Menu as defined in the AWMSER:
<?xml version="1.0" ?>
<IBPMXMLToolbar version="1.0" copyright="Copyright 1998-2007 Oracle. All rights reserved.">
<ID>tbQueryResultsTool</ID>
<Items>
<Command>
<ID>cmdView</ID>
<Group>MultiSelect</Group>
<Caption>View Selected Documents</Caption>
</Command>
<Command>
<ID>cmdFirst</ID>
<CaptionID namespace="OTQueryResultsTool">TB_FirstPage</CaptionID>
<StatusID namespace="OTQueryResultsTool">TB_Status_First</StatusID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_First</ToolTipID>
</Command>
<Command>
<ID>cmdPrevious</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Previous</CaptionID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Previous</ToolTipID>
</Command>
<Command>
<ID>cmdNext</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Next</CaptionID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Next</ToolTipID>
</Command>
<Command>
<ID>cmdLast</ID>
<CaptionID namespace="OTQueryResultsTool">TB_LastPage</CaptionID>
<StatusID namespace="OTQueryResultsTool">TB_Status_Last</StatusID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Last</ToolTipID>
</Command>
<Command>
<Group>AlwaysEnabled</Group>
<NavigationCommand>
<TargetTool>::LogoutTool::ShowTool</TargetTool>
</NavigationCommand>
<CaptionID namespace="ClientBanner">cmdLogout_Phrase</CaptionID>
<Disabled>False</Disabled>
</Command>
</Items>
</IBPMXMLToolbar>
Below is the standard Menu for the Search Results:
<?xml version="1.0" ?>
<IBPMXMLToolbar version="1.0" copyright="Copyright 1998-2007 Oracle. All rights reserved.">
<ID>tbQueryResultsTool</ID>
<Items>
<Command>
<NavigationCommand>
<TargetTool>::ImageViewerTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
<NewWindowATO>IBPMATOQRNewWindow</NewWindowATO>
</NavigationCommand>
<Group>MultiSelect</Group>
<CaptionID namespace="OTQueryResultsTool">TB_View</CaptionID>
</Command>
<Command>
<Group>MultiSelect</Group>
<ID>cmdThumbnail</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Thumbnail</CaptionID>
</Command>
<Command>
<Group>SingleSelect</Group>
<NavigationCommand>
<TargetTool>::ModifyIndexTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_ModifyIndex</CaptionID>
</Command>
<Command>
<Group>SingleSelect</Group>
<NavigationCommand>
<TargetTool>::AddRemovePagesTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_AddRemovePages</CaptionID>
</Command>
<Command>
<ID>cmdRefresh</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Refresh</CaptionID>
</Command>
<Command>
<ID>cmdFirst</ID>
<CaptionID namespace="OTQueryResultsTool">TB_FirstPage</CaptionID>
<StatusID namespace="OTQueryResultsTool">TB_Status_First</StatusID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_First</ToolTipID>
</Command>
<Command>
<ID>cmdPrevious</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Previous</CaptionID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Previous</ToolTipID>
</Command>
<Command>
<ID>cmdNext</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Next</CaptionID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Next</ToolTipID>
</Command>
<Command>
<ID>cmdLast</ID>
<CaptionID namespace="OTQueryResultsTool">TB_LastPage</CaptionID>
<StatusID namespace="OTQueryResultsTool">TB_Status_Last</StatusID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Last</ToolTipID>
</Command>
<Menu>
<ID>mnuSendTo</ID>
<CaptionID namespace="OTQueryResultsTool">TB_SendTo</CaptionID>
<Items>
<Command>
<Group>SingleSelect</Group>
<NavigationCommand>
<TargetTool>::AddToProcessTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_Process</CaptionID>
<AvailabilityTestClass>IBPMATOProcess</AvailabilityTestClass>
</Command>
<Command>
<Group>MultiSelect</Group>
<ID>cmdDownload</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Excel</CaptionID>
</Command>
<Command>
<Group>MultiSelect</Group>
<ID>cmdSendToPrintFriendly</ID>
<CaptionID namespace="OTQueryResultsTool">TB_PrintFriendlyFormat</CaptionID>
</Command>
<Command>
<Group>MultiSelect</Group>
<NavigationCommand>
<TargetTool>::PrintListTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
<NewWindowATO>IBPMATOTrue</NewWindowATO>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_Printer</CaptionID>
<AvailabilityTestClass>IBPMATOSendToPrinter</AvailabilityTestClass>
</Command>
<Command>
<Group>MultiSelect</Group>
<NavigationCommand>
<TargetTool>::EmailTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
<NewWindowATO>IBPMATOTrue</NewWindowATO>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_Email</CaptionID>
<AvailabilityTestClass>IBPMATOSendToEmail</AvailabilityTestClass>
</Command>
</Items>
</Menu>
</Items>
</IBPMXMLToolbar>
To add the ability to E-Mail from the hit list, copy that command XML, as follows,
<Command>
<Group>MultiSelect</Group>
<NavigationCommand>
<TargetTool>::EmailTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
<NewWindowATO>IBPMATOTrue</NewWindowATO>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_Email</CaptionID>
<AvailabilityTestClass>IBPMATOSendToEmail</AvailabilityTestClass>
</Command>
…from the Standard Menu into the AWMSER menu resulting in the following XML File:
<?xml version="1.0" ?>
<IBPMXMLToolbar version="1.0" copyright="Copyright 1998-2007 Oracle. All rights reserved.">
<ID>tbQueryResultsTool</ID>
<Items>
<Command>
<ID>cmdView</ID>
<Group>MultiSelect</Group>
<Caption>View Selected Documents</Caption>
</Command>
<Command>
<ID>cmdFirst</ID>
<CaptionID namespace="OTQueryResultsTool">TB_FirstPage</CaptionID>
<StatusID namespace="OTQueryResultsTool">TB_Status_First</StatusID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_First</ToolTipID>
</Command>
<Command>
<ID>cmdPrevious</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Previous</CaptionID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Previous</ToolTipID>
</Command>
<Command>
<ID>cmdNext</ID>
<CaptionID namespace="OTQueryResultsTool">TB_Next</CaptionID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Next</ToolTipID>
</Command>
<Command>
<ID>cmdLast</ID>
<CaptionID namespace="OTQueryResultsTool">TB_LastPage</CaptionID>
<StatusID namespace="OTQueryResultsTool">TB_Status_Last</StatusID>
<ToolTipID namespace="OTQueryResultsTool">TB_ToolTip_Last</ToolTipID>
</Command>
<Command>
<Group>MultiSelect</Group>
<NavigationCommand>
<TargetTool>::EmailTool::FromQueryResults</TargetTool>
<IntegrationPointEvent>::QueryResultsTool::LockInSelections</IntegrationPointEvent>
<NewWindowATO>IBPMATOTrue</NewWindowATO>
</NavigationCommand>
<CaptionID namespace="OTQueryResultsTool">TB_Email</CaptionID>
<AvailabilityTestClass>IBPMATOSendToEmail</AvailabilityTestClass>
</Command>
<Command>
<Group>AlwaysEnabled</Group>
<NavigationCommand>
<TargetTool>::LogoutTool::ShowTool</TargetTool>
</NavigationCommand>
<CaptionID namespace="ClientBanner">cmdLogout_Phrase</CaptionID>
<Disabled>False</Disabled>
</Command>
</Items>
</IBPMXMLToolbar>
This file may be saved as a new menu set in a separate directory or saved as the new Search Results Menu for the AWMSER menu set.
Login Tool
A feature for the Login Tools has been added to the Web Client / Web SDK to facilitate a user that makes use of the URL Web SDK components over and over through a single browser instance. By specifying on the URL that a user should not be forced to login (i.e. &ForceLogin=0) a browser/server session will try to use information in the session to Pass Through the login tool directly to the Web SDK tool. By default Web SDK entry points into the web client also specify that a user should not be forced to login. This can be overridden through the use of the ForceLogin URL parameter (i.e. &ForceLogin=1). This means that by default the user of the Web SDK will only have to login once. As long as that session is reused in subsequent Web SDK call the login steps to the client will be skipped.
Another feature in the Web Client / Web SDK is the Login Tools which facilitate the use of the Banner Menus when using the Web SDK. By specifying on the URL that the banner should not be hidden (i.e. &HideBanner=0) a browser/server session will display the banner and its menu sets. This will give the user full access to the Web Client. Table 1 lists the valid AWSER tool parameters that can appear on the URL.
AWSER Imaging Tool Interface Search String Parameters Table 1
Parameter
Required / Optional
Description
ToolName= AWSER
Req*
Specifies that this URL Search String should be Parsed by the AWSER Imaging Tool Interface.
SearchName=Value
Req
Specifies that Value is the Saved Search Name that should be used by the AWSER Tool Interface.
Name0=Value0&Name1=Value1... &NameN=ValueN
Opt***
Specifies the Name/Value pairs for each of the 0 to N data points for the Named Search.
* Only one Tool Interface (ToolName) should be specified on any URL
If the functionality of LOB Link is needed for an integration, install the integration software for the Web Server. Second, define a map that uses the Web Integration LOB Adapter. This adapter provides the proper output dictionary from LOB Link to specify the launch of an Web Query. Table 2 lists the valid AWSER tool parameters that can appear on the URL when using LOB Link.
AWSER Imaging Tool Interface Search String Parameters Table 2
Parameter
Required / Optional
Description
ToolName=AWSER
Req*
Specifies that this URL Search String should be Parsed by the AWSER Imaging Tool Interface.
MapName=Value
Req**
Specifies that Value is the Map Name that should be used by the AWSER Tool Interface. Indicates the use of LOB Link.
MapGroup=Value
Specifies that Value is the Map Group Name that should be used by the AWSER Tool Interface. Indicates the use of LOB Link.
SearchName=Value
Specifies that Value is the Saved Search Name that should be used by the AWSER Tool Interface.
Name0=Value0&Name1=Value1... &NameN=ValueN
Opt***
Specifies the Name/Value pairs for each of the 0 to N data points for the Saved Search or LOB Link.
* Only one Tool Interface (ToolName) should be specified on any URL
**SearchName , MapName and MapGroup are mutually exclusive. Only one of those three parameters is required.
Running a Search on the Web
This section presents more examples of how a user of the Web SDK Search and Retrieval component would construct a search and run it using a browser. In the previous section we provided a sample of how to use the AWSER Web SDK component to run a Saved Search directly. This section provides examples of how to use the AWSER Web SDK component to invoke Application Link and its Web Integration.
The Web SDK Search and Retrieval components are accessed through the use of URL parameters into the default.asp page on the Web Client web site. As in the previous example, specify the Web SDK Search and Retrieval tool name on the URL as a parameter (i.e. for this sample &ToolName= AWSER) in addition to data for that tool. The following URL runs a search Identified by the SEIS Map named MyMap with a parameter value named VendorID and value of "123456":
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&MapName=MyMap&VendorID=123456&EOF=1
This runs the search using the Web server installed on MySite. As in the previous example, notice that the default.asp page at that site is specified. You must specify this ASP page to properly input your URL parameters. The tool AWSER provides access to running a search through an integration Map if the Web Adapter was used in the map definition. The act of providing a parameter value for MapName rather than SearchName specifies the use of the map. Notice that the name of the integration Map to be used is specified (i.e. MapName=MyMap). In this example, this tool is specified using the ToolName URL parameter as the AWSER SDK component (i.e. ToolName=AWSER). The parameter is specified for the search using the &VendorID=123456. This is not the name of the prompted field; rather, it is a named/value pair that will be mapped to the search parameters through the use of the integration Map and the Web Adapter. If more than one prompted field is present, use more Named/Value pairs on the URL to specify the data to be provided. Finally, as in the previous example, place an EOF parameter that is required at the end of any URL specifying access to a toolkit item. This &EOF=1 parameter allows the Web SDK to check for truncated URLs (Max ASP URL length is 2083 characters) and notify the user of the problem.
The above URL will run the search after Application Link has mapped the URL parameters to the search parameters. The Web Client will either present the user with the Search Results Tool or the Viewer Tool. If the search resulted in a single hit then the result will be displayed to the user in the Viewer Tool. If the search resulted in multiple hits the results will be displayed to the user in the Search Results Tool. From the Search Results Tool the user will be able to view the hits. As with the previous example, these are the same tools that an Web Client user uses when working in the Web Client. However, their menus have been altered through the use of the Web Client Menu Set feature.
In all likelihood the Application Link feature (AWSER) of the Web SDK component would not be used by specifying a particular Map Name. By specifying a Map Group (i.e. &MapGroup=MyGroup) future expansion of the queries to be run from one Host integration point is accomodated. For example, the following URL specifies a Map Group name rather than a Map Name:
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&MapGroup=MyGroup&=VendorID=123456&InvoiceID=A123&EOF=1
As in the previous examples, this URL runs the search using the Web server installed on MySite. Again, as in the previous example, notice that the default.asp page at that site is specified. Take care to specify this ASP page to properly input your URL parameters. In this example, the tool AWSER provides access to running a search through an integration Map Group. Notice also that we have specified the name of the integration Map Group we want to use rather than a Map Name (i.e. MapGroup=MyGroup). As before, we have specified the parameter for the search using the Named/Value pairs as search string parameters.
This is not the name of the prompted fields; rather, it is a named/value pair that will be mapped to the search parameters through the use of the ERP Integration Map. Finally, as in all the examples, place an EOF parameter that is required at the end of any URL specifying access to a toolkit item. This &EOF=1 parameter allows the Web SDK to check for truncated URLs (Max ASP URL length is 2083 characters) and notify the user of the problem.
The Oracle I/PM System first examines the ERP Integration Map Group. If that group only contains one map then that map is used to run the search. If multiple ERP Integration maps are contained in that Map Group the user is prompted to select the Map Name to use and then the Search is executed as before.
To run a search, use the Web LOB Adapter. The user will be presented with the Search Results Tool or the Viewer Tool. Again, if the search resulted in a single hit then the result will be displayed to the user in the Viewer Tool. If the search resulted in multiple hits the results will be displayed to the user in the Search Results Tool. As in all the previous examples, from the Search Results Tool the user will be able to view the hits. These are the same tools that an Web Client user uses when working in the Web Client. However, their menus have been altered through the use of the Web Client Menu Set feature.
You may ask, "Why use the Application Link functionality rather than the direct Saved Search functionality?" The power of the AWSER used with Application Link is evident when you consider it uses the Application Link infrastructure to define the mapping of the URL parameters to a Saved Search or Multiple Saved Searches. Mapping allows expansion if the integrator thoughtfully selects information to place on the URL in the Host system. This provides for expansion in the future without having to modify the HOST system again. Additionally, using Application Link, one integration point from the host system can provide the ability to run multiple types of queries into the Web SDK Search and Retrieve component. The Application Link feature takes a bit more setting up but provides greater flexibility in the future of the integration.
Create LOB Web Integration Adapter Mappings Using the LOB Mapper Tool
Create a Map
Follow these steps to create a map.
1.
Navigate to the SEIS Map Tool in the Windows Client.
2.
Select the LOB Service Maps tab.
3.
Select LOB Web Integration from the Service Type drop-down.
4.
Select a Saved Search from the Service Template drop-down.
5.
Drop all entries that have an Input Pipe value and appear above the Search Name Service Output.
•
Select a row
•
Right Mouse click
•
Select Drop Item
6.
Select the Save button.
7.
Enter the name of the new map in the Map Name dialog.
Creating a Map Group
Follow these steps to create a map group.
1.
Navigate to the SEIS Map Tool in the Windows Client.
2.
Select the Map Groups tab.
3.
Select the New button.
4.
Enter the name of the new map group.
5.
Select all maps that apply to the new map group from the SEIS Maps list.
6.
Click the Right Arrow button to insert the selected maps in the Assigned Maps list.
7.
Select the Save button.
Using Web: Search and Retrieve from Oracle 11i
This section presents information on how an integrator could implement an Web: Search and Retrieve image enablement in the Oracle 11i Payables system. This implementation example is taken from a prototype system that was developed as a proof of concept for the Web: Search and Retrieval implementation outlined in this document.
The approach taken in the proof of concept prototype was to modify one of the Standard Oracle 11i forms. These forms are Oracle 6i Forms and the Oracle 6i Forms development environment was used to make the modifications. The Invoice Summary form in the Oracle 11i Payable suite was modified to add two new Oracle I/PM Search buttons to that form. The first was Invoice Search and the other was Supplier Search These buttons had around 5 – 10 lines of PL/SQL code behind them which gathered the pertinent information from the form about the selected record, constructed a URL string and asked the Oracle Forms infrastructure to Show Document on the URL. The infrastructure managed launching the browser and navigating to the proper URL. Subsequent uses of the Search buttons and the Show Document call reused the same browser.
The use of the Oracle Forms web Show Document call required that the form be used through the Oracle 11i web application and not run through the development environment. This is due to the fact that the web Show Document function call in Oracle 11i will only successfully launch a browser if it is running on the web. The initial development of the prototype integration involved the creation of a small Visual Basic COM object. This COM object managed the launch of the browser and its navigation. This approach worked well in the development environment but failed in the actual Oracle 11i system because of the Sandbox in Java. Use the COM object during development and the web Show Document during deployment could make development of the integration easier.
The following is a PL/SQL code snippet from the prototype integration showing the steps in retrieving the information from the form and launching the web document. This code was placed in the WHEN-BUTTON-PRESSED trigger for each of the buttons.
declare
-- Get the data from the Form. This gets the data for the selected record
strVID VARCHAR2(512) := :inv_sum_folder.vendor_number;
strIID VARCHAR2(512) := :inv_sum_folder.invoice_num;
-- The Search String variable that we will
-- use to build up the Search we are going to
-- run on the web server.
strQS VARCHAR2(512);
-- The URL of the installed Web Client
-- application we are integrating with.
strURL VARCHAR2(512);
-- The ASP page we are linking to. For URL use
-- of the Web Server this should always be
-- "default.asp".
strASP VARCHAR2(512) := 'default.asp?';
begin
-- Build up the Search that we want to run in the
-- Web application as a Search String for
-- the URL to the web application. Each Line
-- below has a description of what the URL parameter.
-- is instructing the Web Server to do. This has been broken into
-- multiple lines for readability. The original was a
-- single line of code.
-- Use the AWSER SDK "Tool Interface".
strQS := strQS || ‘ToolName= AWSER’;
-- Execute the "OracleDemo" Saved Search.
strQS := strQS || ‘&SearchName=OracleDemo’;
-- Provide the Parameters for the Search.
strQS := strQS || ‘&VID=' || strVID || '&IID=' || strIID;
-- Provide the EOF Marker.
strQS := strQS || ‘&EOF=1';
-- This is the URL of the Web server that
-- this integration should hit when trying
-- to run a search.
strURL := 'http://travel2/IBPMweb/' || strASP || strQS;
-- Show the document to the user.
WEB.SHOW_DOCUMENT(strURL, '_SELF');
end;
Code Example: Invoking a Web URL in PL/SQL to run a Saved Search.
The following steps summarize the process that was required to compile the modified prototype form in a specific development environment. This is presented here for completeness sake and may not apply to other development environments.
1. Install the Oracle Forms 6i Form Build and development environment.
2. Create a directory (WORKINGDIR) on your local machine to hold your copies of the forms and PL/SQL libraries. I used D:\ORANT\AU\RESOURCE as my working directory because I installed the Oracle development environment to my D drive.
3. Copy the TEMPLATE.fmb, APPSTAND.fmb and APSTAND.fmb files from erpclient server [d:/oracle/visappl/au/11.5.0/forms/us] directory to WORKINGDIR on your local developer box. That is referred to as the [$AU_TOP/forms/us] directory.
4. Copy the *.fmb file that you want to work on from erpclient server [d:/oracle/visappl/au/11.5.0/forms/us] directory to WORKINGDIR on your local developer box.
5. Copy over all the *.pll files from the [d:/oracle/visappl/au/11.5.0/resource] (again referred to as $AU_TOP/resource) from the erpclient server to WORKINGDIR on your local developer box.
6. Ensure that the FORMS60_PATH environment variable includes the directory where the above forms and libraries are located on the development machine. To change the environment variable FORMS60_PATH, open the registry and navigate to [HKEY_LOCAL_MACHINE/SOFTWARE/Oracle]. The environment variable FORMS60_PATH can be modified here. Append WORKINGDIR to that path.
7. Reboot the machine to pick up the changes to the registry.
8. Open up the TEMPLATE.fmb using Forms Builder on the development machine.
9. Open up your copy of the form you want to compile.
10. Connect to the VIS database as the APPS user. To do this you may need to configure your Service Names to include VIS. I used the Oracle Net8 Easy Config wizard to set this up. This should have been installed with the forms developer environment. The APPS schema has the synonyms defined for the 11i application. These synonyms are required to compile the 11i forms.
11. Compile your form.
Finally, the form that was modified is APXINWKB.FMX. The source for this form can be found in APXINWKB.FMB. This is the implementing Oracle Form for the Oracle 11i Payables. The :INV_SUM_CONTROL Oracle Data Block is the specific UI component that was modified for the Prototype.
The prototype only used two of the values from the :INV_SUM_FOLDER. There are more than 150 values in this data block that might be useful in searching the Oracle I/PM system for images. Review the values and determine which of these values might be useful in future integrations.
Using URL Encoding with Web SDK Search and Retrieval Tool
When constructing the URL string to access the Web SDK Search and Retrieval all parameters need to be URL encoded. This allows any special characters to be passed to the AWSER tool correctly. Failing to encode the parameters will result in an error or the search never being executed. Listed below are some samples of when URL encoding is needed. All parameters that are used in the URL creation should be URL encoded at all times. This will eliminate any issues with special characters being added to a parameter.
AWSER Sample
A user, to save time, creates an Oracle I/PM Saved Search with a name of "Account#". This search is used to find a customer’s name by entering in an account number. The parameters in this example are:
SearchName=Account#
Searching Parameter Name1 is AccountNumber
Searching Parameter Name 2 is CustomerName
Constructing the URL by using all parameters without URL encoding:
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&SearchName=Account#&AccountNumber=UserInput&EOF=1
Executing this URL string will cause the error,
No '&EOF' parameter was found at the end of the URL requesting a ToolName. The URL may have been greater than 2083 characters.
to be displayed. The pound sign signals the URL parser that the end of string has been reached. Because of this the EOF=1 parameter is never read and the search is never executed. The correct string is:
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&SearchName=Account%23&AccountNumber=UserInput&EOF=1
A list of URL encoded values for special characters follows the Application Link Sample section.
Application Link Sample and Wild Card Searching
Following the AWSER example, a user creates a LOB link map and names it "Finance%" to save time. The map is used to pull up a customer name and loan number based on a certain percentage that is input by the user. The parameters in this example are:
MapName=Finance%
Searching Parameter Name 1 is Percentage
Searching Parameter Name 2 is CustomerName
Searching Parameter Name 3 is Account#
Construct the URL without encoding:
http://MySite/IBPMWeb/default.asp?ToolName=AWSER&MapName=Finance%&Percentage=UserInput&EOF=1
When this URL is parsed the % of the MapName will be stripped. In this instance Web SDK will not error. Instead the search is not executed because the map name it is looking for is "Finance". With URL encoding, the URL string becomes:
http://MySite/IBPMWeb/default.asp?ToolName=AWSER&MapName=Finance%25&Percentage=UserInput&EOF=1
The search will be executed because the %25 is interpreted as a percent sign character. Wild card searching is also possible through the Web SDK. The percent sign is used to specify wild card search in Oracle I/PM. To find all loan numbers that begin with a B, set the Account# field equal to B%. After URL encoding the string is:
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&MapName=Finance%25&Account%23=B%25&EOF=1
If looking for an account number that ends in a B, use the following URL string:
http://MySite/IBPMExpress/default.aspx?ToolName=AWSER&MapName=Finance%25&Account%23=%25B&EOF=1
NOTE
Special characters that are not changed with a typical URL encode are: at sign (@), asterisk (*), dash (-), underline(_), forward slash (/), and period (.).
The remaining English special characters and their URL encoded character set are listed below. Single and double quote are not supported and are not include on this list.
English Character
URL Encoded Character Sets
English Character
URL Encoded Character Sets
!
%21
[
%5B
#
%23
]
%5D
$
%24
|
%7C
%
%25
\
%5C
^
%5E
;
%3B
&
%26
:
%3A
(
%28
,
%2C
)
%29
>
%3E
+
%2B
<
%3C
=
%3D
`
%60
{
%7B
~
%7E
}
%7D
?
%3F
Trouble Shooting
Problem: Searches execute and display the Welcome page.
Solution: The SearchName, MapName or MapGroup is incorrect. This is the default displayed page when the URL parser cannot match these values with one within Oracle I/PM. Ensure that the SearchName, MapName or MapGroup are spelled correctly and that the case of the values is correct. The URL parser is case sensitive.
Problem: The following error is displayed, No '&EOF' parameter was found at the end of the URL requesting a ToolName. The URL may have been greater than 2083 characters.
Solution: The supplied URL is either not URL encoded or has no &EOF=1 value at the end of the URL string. Refer to the Using URL Encoding with Web SDK section or add the value &EOF=1 to the end of the URL string.
Problem: Executing a MapGroup= search on a recently added group displays that no maps are associated with the group.
Solution: The LOB link cache has not been updated on the Web server. Run the following link in a browser to activate the Refresh LOB Cache tool.
http://MySite/IBPMWeb/ATAdmin/ResetLOBValues.asp
Follow the directions for using the Refresh LOB Cache tool provided in this document.
Problem: After executing a URL search, the Oracle I/PM license is never released even though the browser has been closed and the Web SDK client is not being used.
Solution: After executing a URL search through the Web SDK make sure that users click the Logout button on the toolbar. Failure to do this will strand a license until UCON can reclaim it. The default setting for UCON is 30 minutes for license reclamation.
Problem: The following error is displayed: A Web SDK call into AWSER was made without one of the following parameters: SearchName, MapGroup or MapName. One of these is required to properly specify a call into AWSER.
Solution: To evoke the Web SDK Search and Retrieve Tool the type of search must be defined. This error message will display if one of these values is not defined.
Problem: The Web login page is displayed after executing a URL search.
Solution: To invoke the Web SDK Search and Retrieve Tool the tool must be defined. This error message will display if the ToolName= is not defined.
Problem: An executed URL search will only display several hits in the search results and not the single selected hit.
Solution: Make sure that the Oracle I/PM Saved Search Index value and field value are correct. This problem can be caused several ways. If the index value or field value was not URL encoded this problem will occur. If special characters are being used the parameter values of the URL search need to be URL encoded. Please refer to the using URL encoding section of this document. Another problem may be if the index and field values are not included or are not spelled correctly. Also, the URL parser in Web SDK is case sensitive. The way the index and field values are displayed in the regular Web client, or displayed in the Oracle I/PM database, is how they need to be referenced in the Web SDK URL string.
Problem: An executed URL search, using LOB Link, only displays the Oracle I/PM Welcome screen and AWSER works for executing the same search.
Solution: Make sure that the Oracle I/PM solution is licensed for Application Link.
Additional Notes
Logging may be turned on for trouble shooting the AWSER tool. Web has logging built into it and will help in trouble shooting both of these tools. The Oracle I/PM LOB link and Web Adapter logging will only help to troubleshoot the AWSER tool if using LOB Link.
To Enable Web Logging
Log in to web as a Web administrator, under the Web defaults enable Web Logging. The log file is located in the IBPMData\Log folder. Execute the URL search that is causing the problem. If the problem is not evident from the log file, contact support for assistance.
To Enable LOB Link Logging
On the client machine registry, under the registry key HKEY_LOCAL_MACHINE\SOFTWARE\Optika\CUSTOM create DWORD "MAXLOBLOGSIZE", and set it to a number. This number will become the maximum size limit of the log file. The log file will be generated in: C:\Program Files\Stellent\IBPM.
Executing Mapped Searches that do no Belong to a Specific Group
When executing a URL search specifying both a MapGroup and MapName parameter, only the MapName parameter is executed. This allows the execution of mapped searches that do not belong to a specific group. The Map Name is looked for first and if it is there, any map group value that was specified is ignored.
* Limitations
The ability to specify a userid, password and language is implemented for use in sales and demo environments only. This is not a documented feature. This feature is not supported in production and development environments. Using the feature in a production environment will cause a number of problems. One result would be that multiple users would access the database as if they are the same user.


Web Express Public AWSER URL Tool

Web Introduction : Imaging and Process Enabling External Applications : Web Express Public AWSER URL Tool
Web Express Public AWSER URL Tool
Web Express supports a Public AWSER (P-AWSER) feature. This feature implements the document search functionality found in the full web AWSER tool. The normal AWSER URL tool allows users to view a single document or a search results using a Saved Search but requires the user to login for the view. The PAWSER URL tool extends that functionality with the concept of public access to the AWSER tool. The PAWSER URL tool allows a user to view documents or a search result based on a Saved Search and does not require a user to login. This is accomplished by specifying a Public Document common user that can be used in a public view of a document.
The feature consumes a fixed number of licenses. The number of licenses can be configured. These licenses are logged in on the first use of the PAWSER URL tool and cached to provide quick access to the view of the documents. This document describes the configuration and use of this PAWSER feature.
Limitations
The P-AWSER tool has some limitations the original full Web Client AWSER tool did not. The following it a listing of some of the features this tool does not support.
•
This tool will not prompt the user if parameters are not passed. If no document is found an error will display.
•
The document can only be viewed using the Oracle I/PM Plugin or the Image Viewer.
•
Users are forced to use a common user account. Users can not login using a personal account.
•
All activation information in the URL ticket or URL is ignored.
Configuration
This section describes how to configure the P-AWSER feature. This feature is turned off by default. To enable this feature you must perform the following steps on the WSS Server:
1.
Set the value of “WebSupportServer.ActivationProviders.CommonUserProvider.UserName” to the common user name.
2.
Set the value of “WebSupportServer.ActivationProviders.CommonUserProvider. Password” to the common user’s password. If you perform this action through the WSSConfigEditor.exe found in the WSS install directory, the password will be encrypted in the “WebSupportServer.exe.config” file.
3.
Make sure the value of “WebSupportServer.ActivationProviders. CommonUserProvider.Enabled” is “true”.
4.
Restart WSS.
How to Use P-AWSER with URL Parameter
This section describes how to use the P-AWSER feature through URL parameters. This feature allows a URL to be constructed and passed to Web Express directly through the browser. This is the simplest method of using the P-AWSER tool. Pass the following URL parameters to Web Express when using this mode.
•
ToolName – For P-AWSER this will always have a value of PAWSER.
•
SearchName – This is the URL encoded version of the search name of the search to be run. This parameter is case sensitive. If all lowercase is entered and the Search Name is mixed case, the search will not be found.
•
Search Parameters – The search parameters may be included and passed to the search. These are also case sensitive.
The following is an example of a URL running a search to view a document.
http://MyServer/IBPMExpress/External/ DocumentActionProcessor.aspx?ToolName=PAWSER&SearchName=FloatSearch&AFLOAT=1.25
This URL will run the search called FloatSearch and set the search parameter AFLOAT to a value of 1.25. If a single document comes back in the search it will be viewed in the Image viewer. If multiple hits are found, the search results will be presented. The user will not be prompted to log in.
To view the document using the Imaging Plug-in add the parameter Viewer and assign a value of ImagingPlugin. The following URL demonstrates this feature:
http://MyServer/IBPMExpress/External/ DocumentActionProcessor.aspx?ToolName=PAWSER&SearchName=FloatSearch&AFLOAT=1.25&Viewer=ImagingPlugin
* How to Use P-AWSER with URL Tickets
This section describes how to use the P-AWSER feature through ticket registration. This feature allows parameters to be passed to P-AWSER without placing them on the URL. This could be desirable if sensitive data is used in searches. This would avoid having sensitive data passed through the browser where it could be stored in the browser history. The P-AWSER tool used with a ticket requires a two step process of registering a URL description with Web Express through the web services. This call will return a full URL that can be opened in a browser to view the document.
The first step is to create a URL description. This is an XML document that describes the parameters that might normally be sent to the AWSER URL tool in the full web client or to the PAWSER URL tool in Web Express. The following is an example document.
<AcordeURLDescription>
<Document>
<Items>
<Param name="ToolName">PAWSER</Param>
<Param name="SearchName">MySearch</Param>
<Param name="AFLOAT">22</Param>
<Param name="AFLOAT2">23.6</Param>
</Items>
</Document>
</AcordeURLDescription>
Do not include line returns. Notice the ToolName parameter and SearchName are required in the document. All other parameters are considered parameters of the search and are used as values for the Saved Search.
After the XML string containing the ticket content is created, register the ticket through the new Web Service IntegrationsViewPublicDocuments. This will return a string URL that can be opened in the browser to view the document. The web service is located in the following ASMX.
•
http://MyServer/IBPMWeb/Services/Acorde2.ASMX
This is a standard .Net web service. Navigate directly to this URL on the installed system and the documentation of the available service will be provided.


SDK - Web Application Enabler

Web Introduction : Imaging and Process Enabling External Applications : SDK - Web Application Enabler
SDK - Web Application Enabler
This topic describes the use of the Search and Retrieval component of the Oracle I/PM Web SDK. The Search and Retrieval Web SDK component is provided to facilitate image enabling Web Applications.
Overview
The Web Application Enabler is a URL based SDK that is provided with the Imaging Web Client free of charge. This SDK provides an efficient and simple mechanism facilitating the integration of Oracle I/PM functionality into a web application.
Any application that can launch a browser and navigate via the browser to the Web Application Enabler can integrate Oracle I/PM functionality. Integrations of Oracle I/PM functionality such as Package Viewing, Imaging Searching and Viewing can be in accomplished by constructing a URL specifying a tool name and applicable data. Features, such as color scheme customization (through CSS modification) and menu content customization (through XML modification), are available allowing the hosting application look and feel to be matched.
For details about the available Web Application Enablers see the following topics:
•
Web Search and Retrieval SDK Components - AWSER
•
Web Package Viewer - AWPKVWR
•
Web View Tool - AWVWR


Web Viewer Tool Direct Login (AWVWR)

Web Introduction : Imaging and Process Enabling External Applications : Web Viewer Tool Direct Login (AWVWR)
Web Viewer Tool Direct Login (AWVWR)
An Oracle I/PM Web user may login directly to the Viewer Tool. This is accomplished by appending additional URL parameters to the default Web URL. The URL parameters take a user directly to the Viewer.
This feature is useful for creating links to view Oracle I/PM documents from outside the Oracle I/PM system. By sending users directly to the Viewer, they are not required to be familiar with the entire Web Client to navigate to the Viewer tool. Restrictions may also be placed on the display of the Viewer so that users may not visit other parts of the system.
Implementation
To implement this feature, the user must provide the ToolName parameter, Viewer type and the IBPM System Fields in the URL. The ToolName parameter must be specified with a value of "AWVWR". A Viewer parameter must be specified with one of the following values: “Image”, “Optika”, “Native”, or “PDF”. The default Viewer type is “Image”. This parameter specifies which type of Viewer will be used to open the specified document. The value “Optika” will invoke the I/PM Viewer plug-in ActiveX. When using the “PDF” option you must have Adobe Distiller installed and configured via the Export Server tab in GenConfig.
NOTE
The IBPM System Fields values must also be provided. These parameters include LUCID, MIMETYPE, TABLENAME, ROWIDENTIFIER, SSPROVIDERID, INDEXPROVIDER and FTSFILTERS. The values for these parameters must be URL encoded. Required IBPM System Fields parameters are LUCID, MIMETYPE, TABLENAME and ROWIDENTIFIER.
Optional IBPM System Fields parameters include SSPROVIDERID , INDEXPROVIDER , and FTSFILTERS. If not provided in the URL, the SSPROVIDERID and INDEXPROVIDER parameters will default to the standard IBPM values.
NOTE
The FTSFILTERS parameter is used for Full Text Searching. It is currently not implemented and is reserved for future use. Providing a value for FTSFILTERS will have no effect on viewing an image through the AWVWR tool.
The EOF parameter must be provided with a value of "1". This indicates to the AWVWR tool that the URL is complete and not missing any data.
AWVWR Parameters
Parameter
Values
Description
ToolName
AWVWR
Name of the tool to be directly accessed.
Viewer
Image, Optika, PDF, Native
Default: Image
Specifies which type of viewer will be used to open the document.
LUCID
MIMETYPE
TABLENAME
ROWIDENTIFIER
SSPROVIDERID
Optional
Default: {0BF3C340-4C13-11d3-8166-00C04F99E979}
INDEXPROVIDER
Optional
Default: {608FCB70-10BF-11d4-A931-00C04F94786A}
FTSFILTERS
No value required.
Currently not implemented for AWVWR. Reserved for future use.
EOF
1
Required. This lets the AWVWR tool know that the URL is complete.
Viewer Window Display Parameters
Parameter
Values
Description
HideBanner
0, 1
By specifying, in the URL, that the banner should not be hidden (i.e. &HideBanner=0) a browser/server session will display the banner and its menu sets. This will give the user full access to the Web Client.
MnuSet
Defines which toolbar set to load in the Viewer tool. Custom toolbars can be created to restrict users from accessing all of the options found in the standard Web Client’s Viewer toolbar.
Default: AWVWR
For example, a URL might look like the following:
http://mysite/ibpmweb/default.asp?ToolName=AWVWR&Viewer=Image&LUCID=12587797&MIMETYPE=image%2Ftiff&SSPROVIDERID=%7B0BF3C340%2D4C13%2D11d3%2D8166%2D00C04F99E979%7D&TABLENAME=Documents%2EContext%2Edbo%2ECCPDemomain&ROWIDENTIFIER=12587797&INDEXPROVIDER=%7B608FCB70%2D10BF%2D11d4%2DA931%2D00C04F94786A%7D&EOF=1
Since the SSPROVIDERID and INDEXPROVIDER parameters are supplied with Oracle defaults, you may omit them from the URL like this:
http://mysite/ibpmweb/default.asp?ToolName=AWVWR&Viewer=Image&LUCID=12587801&MIMETYPE=image%2Ftiff&TABLENAME=Documents%2EContext%2Edbo%2ECCPDemomain&ROWIDENTIFIER=12587801&EOF=1
Login and password information is required at the Imaging login page. After the username and password have been authenticated, the Viewer will display for the document specified in the URL. Use of the AWVWR will not require logins for subsequent uses of the tool.
Notice the EOF=1 parameter at the end of the URL. This is required when using the URL Tools because a URL is limited to 2083 characters and the Web Client must be able to detect if the URL has been truncated in error.
The AWVWR tool can be used in conjunction with the Menu Set URL Parameter (i.e. "&MenuSet=MyMenuSet") to provide a customized menu for the package viewer. This will allow an integrator to limit access to Web functionality based on the Entry URL provided to a user.
Auditing
There are no built in auditing capabilities for this feature. However, the Web Server’s IIS log may be used to review the URLs that have been submitted.
Trouble Shooting Viewer Direct Login
1.
If invalid information is supplied to an Imaging System Field, the Viewer will display the message "There was an error generated while trying to retrieve the object for viewing. It may be in off-line storage."
2.
If the value for ToolName parameter is not ‘AWVWR’, the user will be redirected to their default login page.
3.
If the BannerMnu URL is not provided or any value other than ‘restricted’ is provided, the Banner will appear with all available options and menus.


Web Package Viewer Tool Direct Login AWPKVWR

Web Introduction : Imaging and Process Enabling External Applications : Web Package Viewer Tool Direct Login AWPKVWR
Web Package Viewer Tool Direct Login AWPKVWR
A Web user may login directly to the Package Viewer Tool. This is accomplished by appending additional URL parameters to the default Oracle I/PM web site URL. The URL parameters take a user directly to the Package Viewer and controls what parts of the window are displayed.
This feature would be useful for creating links to Process packages from outside the Oracle I/PM system. By sending users directly to the Package Viewer, they are not required to be familiar with the entire Web Client to navigate to the Package Viewer tool. Restrictions may also be placed on the display of the Package Viewer so that users may not visit other parts of the system.
Two sets of information must be provided to use this feature. The first set includes valid values for the ToolName and PkgRecID parameters in the URL. This allows the system to take the user directly to the Package Viewer screen. The second set of information includes URL parameters indicating how the Package Viewer window will be displayed.
ToolName and PkgRecID Parameters
Parameter
Values
Description
ToolName
AWPKVWR
or
PackageViewerTool
Name of the tool to be directly accessed. Currently only the Package Viewer Tool is supported.
PkgRecID
[0-9]*
Any valid Package Rec Id.
Package Viewer Window Display Parameters
Parameter
Values
Description
NoPkgInfo
1
Do not display the lower portion of Package Viewer screen that contains the Attachments, Task and History tabs.
NoPkgToolbar
1
Do not display the toolbar for the Package Viewer.
BannerMnu
&BannerMnu=restricted is only available if the &HideBanner=0 switch has been added to the URL
Forces the upper most toolbar to contain only Help and Logout options.
For example, a URL might look like the following:
http://mysite/IBPMExpress/default.aspx?ToolName=AWPKVWR&PkgRecID=1044&NoPkgInfo=1&NoPkgToolbar=1&EOF=1
Login and password information is required at the Oracle I/PM login page. After the username and password have been authenticated, the Package Viewer will display for the Package Rec ID supplied in the URL. Use of the AWPKVWR will not require logins for subsequent uses of the tool, provided that the web browser window is not closed.
NOTE
Notice the EOF=1 parameter at the end of the URL. This is required when using the URL Tools because a URL is limited to 2083 characters and the Web Client needs to be able to detect if the URL has been cut off.
It is advisable to also use the LicenseType URL parameter to force the login type as ‘Full Seat’. If login is performed with a Web View license, the user will not have access to the Package Viewer tool.
There are no built in auditing capabilities for this feature. However, the Web Server’s IIS log may be used to review the URLs that have been submitted.
The AWPKVWR tool can be used in conjunction with the Menu Set URL Parameter (i.e. "&MenuSet=MyMenuSet") to provide a customized vmenu for the package viewer. This will allow an integrator to limit access to Web functionality based on the Entry URL provided to a user.
Attachment Viewer Sub-Tool
* NOTE
This feature only works for Oracle I/PM attachments to the package. A user of the AWPKVWR URL Tool may want to view the attachments of a package directly rather than going to the Package Viewer first. This can be accomplished through the use of the Attachment Viewer Sub-Tool. Simply add the parameter "&SubTool=AttVwr" to the URL and the viewer will be brought up viewing the first attachment to the package. Below is a sample URL that makes use of the Attachment Viewer Sub-Tool:
http://mysite/IBPMExpress/default.aspx?ToolName=AWPKVWR&SubTool=AttVwr&PkgRecID=1044&EOF=1
Comment Viewer Sub-Tool
A user of the AWPKVWR URL Tool may want to view the comment of a package directly rather than going to the Package Viewer first. This can be accomplished through the use of the Journal Viewer Sub-Tool. Simply add the parameter "&SubTool=JrnVwr" to the URL and the viewer will be brought up viewing the comment for the package. This functionality is the same as the Package Viewer History Tab. Below is a sample URL that makes use of the Journal Viewer Sub-Tool:
http://mysite/IBPMExpress/default.aspx?ToolName=AWPKVWR&SubTool=JrnVwr&PkgRecID=1044&EOF=1
Trouble Shooting Package Viewer Direct Login
1.
If an invalid Package Rec Id is supplied, the Package Viewer will display the message "There is no selected package at this time...".
2.
If the value for ToolName parameter is not ‘PackageViewerTool’, the user will be redirected to their default login page.
3.
If the NoPkgInfo or NoPkgToolbar parameters are not supplied, those areas will be displayed by default. Any parameter value other than ‘1’ will also cause those screen areas to be displayed.
4.
If the BannerMnu URL is not provided or any value other than ‘restricted’ is provided, the Banner will appear with all available options and menus.


Web Express URL Tools

Web Introduction : Imaging and Process Enabling External Applications : Web Express URL Tools
Web Express URL Tools
Web Express has several URL Tools that can be used to drive a user directly into I/PM content. These URL Tools include some tools supported by the Full Web such as AWSER and AWPKVWR. Additionally, Web Express exposes a new URL Tool called PAWSER – the Public-AWSER URL Tool.
Using URL Tools
The URL Tools are provided for integration purposes. There are two entry points into the Web Express client. These are at the following two URL locations:
•
http://MyServer/IBPMExpress/default.aspx
•
http://MyServer/IBPMExpress/External/DocumentActionProcessor.aspx
The “default.aspx” entry point supports the use of the AWSER and AWPKVWR URL Tools. PAWSER is supported through the “DocumentActionProcessor.aspx” entry point.
Using AWSER in I/PM Express
The URL Tool AWSER provides access to search results and/or document views. If the set of search parameters provided narrows the search results down to a single hit, that hit will be opened in the search results. If the search results in multiple hits the Search Results tool will be displayed. If the user has not logged in they will be prompted to login before the results are displayed. Below is a sample of a URL that runs a search:
http://My77Web/IBPMExpress/default.aspx?ToolName=AWSER&SearchName=AllFields&AEXACT=HQGH&EOF=1
Notice in this sample URL the ToolName specified is the AWSER tool. Next you have the SearchName specified as AllFields. Finally, the field AEXACT is specified as HQGH.
Using AWPKVWR in I/PM Express
The URL Tool AWPKVWR provides access to the Package Viewer. Below is a sample URL for the Package Viewer URL tool:
http://77web/IBPMExpress/default.aspx?ToolName=AWPKVWR&PkgRecId=1&EOF=1
Notice in this sample URL the ToolName specified is the AWPKVWR tool. Next you have the PkgRecId specified as “1”.
Using PAWSER in I/PM Express
The URL Tool PAWSER provides public access to documents. This results in the use of a common username and password being used and a number of cached public sessions. Public access to particular searches is controlled by granting access to the common user.
You will need to first ensure the configuration of the “common username” and “common password” are correct. This is found in the administration tool in Web Express. To access that tool you must log into Web Express with a Web Administrator. To assign Web Administrator to a group see the Security Tool in the desktop application. The PAWSER tool uses a Saved Search to find the document(s) to be viewed. You must assign the common user access to the search you want to use.
Once you have properly configured Web Express and security for the common user construct a URL to the External Document Action Processor ASPX. Below is an example of a URL you might use:
http://My77Web/IBPMExpress/External/DocumentActionProcessor.aspx?ToolName=PAWSER&SearchName=AllFields&AEXACT=HQGH
Notice in this sample URL the ToolName specified is the PAWSER tool. Next you have the SearchName specified as AllFields. Finally, the field AEXACT is specified as HQGH.
The user will not be prompted for login and the common username will be used to process the request. If the search results in a single hit the Image Viewer will be opened. If the search results in multiple hits the Search Results tool will be shown.


TitlePage.1.1.html

Oracle® Imaging and Process Management
Web Express User’s Guide
Version 7.7.1.0
October 2007
Oracle Imaging and Process Management Web Express User’s Guide, Release 7.7.1.0
Copyright © 1998, 2007, Oracle. All rights reserved.
Primary Author: Amy Willard
The Programs (which include both the software and documentation) contain proprietary information; they are provided under a license agreement containing restrictions on use and disclosure and are also protected by copyright, patent, and other intellectual and industrial property laws. Reverse engineering, disassembly, or decompilation of the Programs, except to the extent required to obtain interoperability with other independently created software or as specified by law, is prohibited.
The information contained in this document is subject to change without notice. If you find any problems in the documentation, please report them to us in writing. This document is not warranted to be error-free. Except as may be expressly permitted in your license agreement for these Programs, no part of these Programs may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose.
If the Programs are delivered to the United States Government or anyone licensing or using the Programs on behalf of the United States Government, the following notice is applicable:
U.S. GOVERNMENT RIGHTS Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are "commercial computer software" or "commercial technical data" pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the Programs, including documentation and technical data, shall be subject to the licensing restrictions set forth in the applicable Oracle license agreement, and, to the extent applicable, the additional rights set forth in FAR 52.227-19, Commercial Computer Software--Restricted Rights (June 1987). Oracle USA, Inc., 500 Oracle Parkway, Redwood City, CA 94065.
The Programs are not intended for use in any nuclear, aviation, mass transit, medical, or other inherently dangerous applications. It shall be the licensee's responsibility to take all appropriate fail-safe, backup, redundancy and other measures to ensure the safe use of such applications if the Programs are used for such purposes, and we disclaim liability for any damages caused by such use of the Programs.
Oracle, JD Edwards, PeopleSoft, and Siebel are registered trademarks of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.
The Programs may provide links to Web sites and access to content, products, and services from third parties. Oracle is not responsible for the availability of, or any content provided on, third-party Web sites. You bear all risks associated with the use of such content. If you choose to purchase any products or services from a third party, the relationship is directly between you and the third party. Oracle is not responsible for: (a) the quality of third-party products or services; or (b) fulfilling any of the terms of the agreement with the third party, including delivery of products or services and warranty obligations related to purchased products or services. Oracle is not responsible for any loss or damage of any sort that you may incur from dealing with any third party.